function [edgeindexmat] = DetectEdgesProject()
close all
load('data1310.mat') %data pre meranie 1310 nm
inputdata = boivt0011310trace;

extrema = DetectEdges(inputdata,4,3,0.5); %prvy detekt hran
%,4,1,0.1

%vyberiem data po prve maximum
data = inputdata(1:(extrema(1)-10));
[edgeindexmat] = DetectEdges(data,8,3,0.3); %druhe detekovanie hran v skratenom signale
%data,8,3,0.3)

%pridam este jednu hranu manualne na koniec druheho signalu
edgeindexmat(length(edgeindexmat)+1) = length(data)


% ziskam maticu s maximom v mieste udalosti a nulou v ostatnych miestach
maxd = max(inputdata);
markdata=zeros(length(inputdata),1);
for i = 1:length(edgeindexmat)
    markdata(edgeindexmat(i))=maxd;
end

%vykreslenie znaciek v konvoluvovanom signale
figure('Name','hrany povodny signal');
plot(inputdata);
hold on;
plot(markdata, 'r');
hold off;

%odsumenie povodneho signalu
odsumdata = Odsum(inputdata, 8, 3 );

%povodny a odsumeny signal
figure('Name','signal a sum');
plot(inputdata);
hold on;
plot(odsumdata);
hold off;

%odsumeny signal a hrany
figure('Name','hrany odsumeny signal');
plot(odsumdata);
hold on;
plot(markdata,'r');
hold off;

